Bug 104390 - gdm has an absolute symlink that should be relative
gdm has an absolute symlink that should be relative
Product: Red Hat Raw Hide
Classification: Retired
Component: gdm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-09-14 14:48 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-10 23:16:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2003-09-14 14:48:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5b) Gecko/20030911

Description of problem:
This symlink needs to be relative instead of absolute.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. cd /usr/share/applications
2. ls -al gnome-gdmsetup.desktop


Actual Results:  Absolute symlink

Expected Results:  Relative symlink

Additional info:
Comment 1 Ray Strode [halfline] 2004-11-10 17:59:20 EST
Hi Nathan,

Why do you want the symlink to be relative instead of absolute?  Are you running
chroots or something?
Comment 2 Nathan G. Grennan 2004-11-10 20:44:49 EST
The original goal was menu editing. The code would copy the symlinks
and would need to use a modified desktop file with the same name in
the user's home directory. So with absolute symlinks it would still
point to the original and break things. Plus the majority of links are
Chroots are also a good point.
Comment 3 Ray Strode [halfline] 2004-11-10 23:16:15 EST
should be changed in rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.